Bug 287181 - Dbus fails to update due to transaction error
Dbus fails to update due to transaction error
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 21:59 EDT by Carl Preddy
Modified: 2014-01-21 17:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 10:09:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Preddy 2007-09-11 21:59:39 EDT
Description of problem:
yum update of dbus fails with this transaction error 
Transaction Check Error:
  file /etc/dbus-1/system.conf from install of dbus-1.1.2-4.fc8 conflicts with
file from package dbus-1.1.2-2.fc8

Version-Release number of selected component (if applicable):
rpm -qa dbus*
dbus-glib-0.73-2.fc8
dbus-1.1.2-2.fc8
dbus-1.1.2-2.fc8
dbus-glib-0.73-2.fc8
dbus-python-0.82.0-1.fc8
dbus-x11-1.1.2-2.fc8

How reproducible:
consistently fails for about the past 10 days

Steps to Reproduce:
1. yum update dbus
2.
3.
  
Actual results: Message quoted above, yum aborts


Expected results: dbus and dependencies are updated


Additional info:
Comment 1 Singularity 2007-09-28 09:44:50 EDT
I experience this bug as well:

Transaction Check Error:   file /etc/dbus-1/system.conf from install of
dbus-1.1.2-6.fc8 conflicts with file from package dbus-1.1.2-2.fc8

This failure to update has persisted quite a while.
Comment 2 Matthias Clasen 2007-10-04 23:21:27 EDT
Looks like a yum issue.
Comment 3 Seth Vidal 2007-10-05 08:59:47 EDT
please return the output of:

yum list installed dbus\*

yum list updates dbus\*

thanks
Comment 4 Singularity 2007-10-05 09:28:07 EDT
yum list installed dbus\*
Loading "refresh-updatesd" plugin
Installed Packages
dbus.x86_64                              1.1.2-2.fc8            installed       
dbus.i386                                1.1.2-2.fc8            installed       
dbus-devel.x86_64                        1.1.2-6.fc8            installed       
dbus-devel.i386                          1.1.2-6.fc8            installed       
dbus-glib.x86_64                         0.73-4.fc8             installed       
dbus-glib.i386                           0.73-4.fc8             installed       
dbus-glib-devel.x86_64                   0.73-4.fc8             installed       
dbus-python.x86_64                       0.82.0-2.fc8           installed       
dbus-qt.x86_64                           0.70-2.fc8             installed       
dbus-x11.x86_64                          1.1.2-6.fc8            installed

yum list updates dbus\*
Loading "refresh-updatesd" plugin
Updated Packages
dbus.x86_64                              1.1.2-6.fc8            development
Comment 5 Seth Vidal 2007-10-05 11:19:51 EDT
Are you excluding any packages in your yum configuration?
Comment 6 James Antill 2007-10-05 11:58:32 EDT
dbus.x86_64                              1.1.2-2.fc8            installed       
dbus.i386                                1.1.2-2.fc8            installed       
dbus-devel.x86_64                        1.1.2-6.fc8            installed       
dbus-devel.i386                          1.1.2-6.fc8            installed       
dbus-x11.x86_64                          1.1.2-6.fc8            installed

...do you know how how this can happened, both dbus-devel and dbus-x11 depend on
the corresponding version of dbus ... so installing a version of dbus-devel
force installs that version of dbus (dito. dbus-x11).

 Obviously yum should handle it when the above does happen, but I'd like to know
how it happened.
Comment 7 Singularity 2007-10-06 02:02:38 EDT
Seth: Not that I'm aware of.
Comment 8 Singularity 2007-10-06 02:30:03 EDT
Problem still present with new package:

Transaction Check Error:   file /etc/dbus-1/system.conf from install of
dbus-1.1.2-7.fc8 conflicts with file from package dbus-1.1.2-2.fc8

Comment 9 Seth Vidal 2007-10-06 09:20:05 EDT
okay - it sounds like the dbus.i386 is not going away with the introduction of
dbus-libs.

please try this:
yum shell
remove dbus.i386
update
run
Comment 10 Singularity 2007-10-06 10:24:19 EDT
yum shell
Loading "refresh-updatesd" plugin
Setting up Yum Shell
> remove dbus.i386
Setting up Remove Process
> update
Setting up Update Process
> run
--> Running transaction check
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: epiphany
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: openoffice.org-core
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: bluez-utils
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: compiz
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: dbus-qt
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: ConsoleKit
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: krb5-auth-dialog
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gdm
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: bluez-gnome
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: totem-mozplugin
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: dbus-devel
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-session
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: nautilus-cd-burner
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: hal-cups-utils
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-volume-manager
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: xchat
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: NetworkManager-gnome
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: libpurple
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-panel
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: dbus
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: evince
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: totem
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-pilot
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: evolution
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: notification-daemon
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-phone-manager
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: pidgin-rhythmbox
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-screensaver
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: cups
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: xorg-x11-xinit
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: yelp
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: ConsoleKit-libs
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: NetworkManager-glib
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: vlc
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: hal
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: eog
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-vfs2
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: notify-python
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: zenity
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: totem-plparser
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: dbus-python
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: xchat-gnome
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: pidgin
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: nautilus-sendto
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-utils
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: control-center
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: ypbind
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-keyring
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: hal-libs
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-media
--> Processing Dependency: libdbus-1.so.3()(64bit) for package:
gstreamer-plugins-good
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: qt4-devel
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-mount
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: PolicyKit
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: libgnomekbd
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: wpa_supplicant
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gwget
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gimp
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: rhythmbox
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-applets
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: k3b
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: dbus-glib
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: libgnomecups
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: NetworkManager
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: sound-juicer
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: kdebase
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: avahi
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: qt4
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: libnotify
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: pulseaudio
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: gnome-power-manager
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: vino
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: pidgin-libnotify
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: PolicyKit-gnome
---> Package dbus.x86_64 0:1.1.2-7.fc8 set to be updated
--> Running transaction check
---> Package dbus-libs.x86_64 0:1.1.2-7.fc8 set to be updated
--> Finished Dependency Resolution

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 dbus                    x86_64     1.1.2-7.fc8      development       235 k
Installing for dependencies:
 dbus-libs               x86_64     1.1.2-7.fc8      development       124 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total download size: 359 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Error: Transaction Check Error:
  file /etc/dbus-1/system.conf from install of dbus-1.1.2-7.fc8 conflicts with
file from package dbus-1.1.2-2.fc8

Error Summary
-------------

> 
Comment 11 Seth Vidal 2007-10-06 16:31:57 EDT
what version of yum is this?
Comment 12 Singularity 2007-10-06 21:22:58 EDT
3.2.6-1.fc8
Comment 13 Singularity 2007-10-10 09:45:52 EDT
Bug still present in yum 3.2.6-2.fc8.
Comment 14 Singularity 2007-10-11 11:11:04 EDT
Bug still present in yum 3.2.6-3.fc8.
Comment 15 Singularity 2007-10-12 09:21:52 EDT
Bug still present in yum 3.2.6-5.fc8.
Comment 16 Jeremy Katz 2007-10-12 10:09:54 EDT
dbus.i386 went away from the x86_64 tree when dbus was split to have a -libs
package.

You'll have to manually force-remove dbus.i386 (rpm -e --nodeps dbus.i386) and
then do the update and things will work.  anaconda has the hack to handle this
already.

Note You need to log in before you can comment on or make changes to this bug.